Skip to main content
GET
Get knowledge base visits
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

duration
enum<string>
default:all_time

Period to report on. Defaults to all_time. For custom, send both start_date and end_date.

Available options:
all_time,
last_24_hours,
last_7_days,
this_week,
last_week,
last_30_days,
this_month,
last_month,
this_quarter,
last_quarter,
custom
start_date
string

Start of the period as an ISO 8601 date or time. Needed with duration=custom. Must not be after end_date.

Example:

"2026-03-01"

end_date
string

End of the period as an ISO 8601 date or time. Needed with duration=custom.

Example:

"2026-03-31"

Response

OK - Request succeeded

visits
object[]